html,
body {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    font-family: 'Sora', sans-serif;
}

* {
    -webkit-user-select: none !important;
    user-select: none !important;
    -webkit-user-drag: none !important;
}

body {
    background-image: url(../img/e1zRTOC.jpeg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    position: relative;
    z-index: 2;
}

body::before {
    display: block;
    content: "";
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #49494970;
    z-index: 2;
}

.divider {
    position: relative;
    height: 1px;
    width: 80%;
    margin: 2rem;
    background-color: #fff5;
}

a {
    color: inherit;
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

main {
    padding: 3rem 1rem 3rem 1rem;
    display: flex;
    flex-direction: column;
    flex-grow: 0;
    flex-shrink: 0;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    position: relative;
    /* background-image: linear-gradient(199deg, rgb(0, 70, 120) 0%, rgb(118, 0, 120) 100%); */
    /* background: rgba(139, 139, 139, 0.067);
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur( 3px );
    background-position: 0% 0%;
    background-repeat: repeat;
    background-size: cover;
    border: 1px solid #fff2;
    border-radius: 20px;
    box-shadow: 0 0 50px 0px rgb(48, 48, 48); */
    width: 43%;
    z-index: 3;
    color: #fff;
    text-align: right;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.5);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

#title {
    margin: 10px 0 0 0;
    line-height: 1;
    width: 80%;
    font-weight: 400;
}

#description {
    width: 80%;
    margin: 10px;
    font-weight: 200;
}

.main-links {
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
    width: 80%;
    padding-inline: 0;
    list-style-type: none;
    margin-bottom: 0;
}

.social-wide {
    border: 1.5px solid #fff5;
    border-radius: 20px;
    padding: .5rem;
    padding-right: 15px;
    text-align: left;
    text-indent: 10px;
    font-size: 10pt;
    letter-spacing: 2pt;
    cursor: pointer;
    transition: ease-in .1s;
}

.social-wide:hover {
    transition: ease-in .15s;
}

.social-wide i {
    font-size: 18pt;
}

.button-links {
    list-style-type: none;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
    padding: 0;
    width: 80%;
    flex-wrap: wrap;
}

.social-button {
    border: 1px solid #fff5;
    border-radius: 10px;
    padding: 8px;
    cursor: pointer;
    transition: ease-in .1s;
}

.social-button i {
    font-size: 18pt;
}

.social-button:hover {
    transition: ease-in .15s;
}

.telegram:hover {
    background: #0088cc;
}

.github:hover {
    background: #171515;
}

.instagram:hover {
    background: #d6249ec6;
}

.facebook:hover {
    background: #0866ff;
}

.spotify:hover {
    background: #1ed760;
}

.pinterest:hover {
    background: #e60023;
}

.outlook:hover {
    background: #00a2ed;
}

.x:hover {
    background: #000;
}

.discord:hover {
    background: #7289d9;
}

.reddit:hover {
    background: #ff4500;
}

.linkedin:hover {
    background: #0075b4;
}

.youtube:hover {
    background: #FF0000;
}

.outro {
    font-style: italic;
    width: 80%;
    text-align: right;
    color: #fff5;
    font-weight: 200;
}

@media screen and (max-width: 700px) {
    main {
        width: 55%;
        text-align: center;
    }

    .outro {
        text-align: center;
    }
}

@media screen and (max-width: 400px) {
    main {
        width: 80%;
    }
}
